/* Listing3405.java */

import java.awt.*;
import java.awt.event.*;
import java.awt.Color;


import java.lang.Integer;
import java.lang.Float;
public class Listing3405
extends Frame
{
  Label prgb;
  Label intensitaet;
  Label mean;
  Label varianz;
  Graphics graph;

  public BitmapComponent bc;

  public static void main(String[] args)
  {
    Listing3405 wnd = new Listing3405();

  }

  public Listing3405()
  {
    super("Algorithms for Picture Analysis - Übung 3  (Hans-Georg Menz)");
    setBackground(Color.lightGray);
    bc = new BitmapComponent("../rabbits.gif");
    setSize(bc.w,bc.h);

    setVisible(true);

    Panel panel1 = new Panel();
    panel1.setLayout(new GridLayout(1,1));
    panel1.add(bc);
    //Panel 2
    Panel panel2 = new Panel();
    panel2.setLayout(new FlowLayout());

    Button b1 = new Button("Erzeuge Graubild");
    b1.addMouseListener(new Button1MouseAdapter());   
    panel2.add(b1);

    Button b2 = new Button("Lade Graubild");
    b2.addMouseListener(new Button2MouseAdapter());   
    panel2.add(b2);

    Button b3 = new Button("MEAN (5x5)");
    b3.addMouseListener(new Button3MouseAdapter());   
    panel2.add(b3);

    Button b4 = new Button("MEDEAN (5x5)");
    b4.addMouseListener(new Button4MouseAdapter());   
    panel2.add(b4);

    Button b5 = new Button("Rauschen hinzufügen (Gleichverteilt)");
    b5.addMouseListener(new Button5MouseAdapter());   
    panel2.add(b5);

    Checkbox c1 = new Checkbox("Schritt für Schritt",false);
    c1.addMouseListener(new Checkbox1MouseAdapter());   
    panel2.add(c1);
    
    //Hauptfenster
    setLayout(new FlowLayout());
    add(panel1);
    add(panel2);

    addWindowListener(new MyWindowListener());

    pack();
    //WindowListener
    //addWindowListener(new WindowClosingAdapter(true));
  }

  // Erzeuge Graubild
  class Button1MouseAdapter
  extends MouseAdapter 
  {
    public void mouseClicked(MouseEvent event)
    {
      bc.greyValueImage(8);
    }
  }

  // Lade Graubild
  class Button2MouseAdapter
  extends MouseAdapter 
  {
    public void mouseClicked(MouseEvent event)
    {
      bc.grayScaleImage("../rabbits.gif");

    }
  }



  class Button3MouseAdapter
  extends MouseAdapter 
  {
    public void mouseClicked(MouseEvent event)
    {
      bc.mean = true;
      bc.median = false;
      bc.runHilbertScan();
    }
  }

  class Button4MouseAdapter
  extends MouseAdapter 
  {
    public void mouseClicked(MouseEvent event)
    {
      bc.mean = false;
      bc.median = true;
      bc.runHilbertScan();
    }
  }

  class Button5MouseAdapter
  extends MouseAdapter 
  {
    public void mouseClicked(MouseEvent event)
    {
      bc.addUniformNoise();
    }
  }

  class Checkbox1MouseAdapter
  extends MouseAdapter 
  {
    public void mouseClicked(MouseEvent event)
    {
      if (bc.everyStep) bc.everyStep = false;else bc.everyStep = true;
    }
  }



  class MyWindowListener
  extends WindowAdapter
  {
    public void windowClosing(WindowEvent event)
    {
      setVisible(false);
      dispose();
      System.exit(0);
    }
  }

}
