import java.awt.*;
import java.awt.image.PixelGrabber;
import java.awt.image.ImageObserver;
import java.awt.image.MemoryImageSource;
import java.awt.Color;

class Histogram
extends Canvas
{  
  int[] pixels;
  int[] histo= new int[256];
  float maxWert = 0.0f;

  public Histogram(int[] p, char r) 
  {
    pixels = p;
	for (int j = 0; j < 256; ++j) {
  	  histo[j] = 0;
        }
    berechne(r);

    for (int i = 0; i < 256; i++) {
      if (histo[i] > maxWert) 
        maxWert = histo[i];
    }
    maxWert = 140.0f / maxWert;
    System.out.println("textValueChanged: "+maxWert);
    setBackground(Color.white);
    setSize(280,150);
    setVisible(true);

  }

  public void paint(Graphics g) {


  for (int i = 0; i < 256; i++) {
    g.fillRect(10+i,(int)(145-maxWert*histo[i]),1,(int)(maxWert*histo[i]));
  }
  g.drawLine(5,145,275,145);
    
  }

  public void berechne(char color) {
        for (int j = 0; j < pixels.length; j++) {
                int i = 0;
                
                if (color == 'a') i = (pixels[j] >> 24 & 0xff);
 		if (color == 'r') i = (pixels[j] >> 16 & 0xff);
		if (color == 'g') i = (pixels[j] >> 8 & 0xff);
		if (color == 'b') i = (pixels[j]  & 0xff);
		histo[i] = histo[i] + 1;

        }

     }

  }
